%bcond_without perl_MooseX_Types_DateTime_enables_optional_test

Name:       perl-MooseX-Types-DateTime
Version:    0.13
Release:    3%{?dist}
License:    GPL+ or Artistic

Summary:    DateTime related constraints and coercions for Moose
Source0:     https://cpan.metacpan.org/authors/id/E/ET/ETHER/MooseX-Types-DateTime-%{version}.tar.gz
Url:        https://metacpan.org/release/MooseX-Types-DateTime
BuildArch:  noarch

BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(:VERSION) >= 5.8.3
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(DateTime) >= 0.43
BuildRequires: perl(DateTime::Duration) >= 0.43
BuildRequires: perl(DateTime::Locale) >= 0.40
BuildRequires: perl(DateTime::TimeZone) >= 0.95
BuildRequires: perl(if)
BuildRequires: perl(Moose) >= 0.41
BuildRequires: perl(MooseX::Types) >= 0.30
BuildRequires: perl(MooseX::Types::Moose) >= 0.30
BuildRequires: perl(namespace::clean) >= 0.19
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(ok)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.88
%if %{with perl_MooseX_Types_DateTime_enables_optional_test}
BuildRequires: perl(Locale::Maketext)
%endif
Requires:   perl(DateTime) >= 0.43
Requires:   perl(DateTime::Duration) >= 0.43
Requires:   perl(DateTime::Locale) >= 0.40
Requires:   perl(namespace::autoclean)

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DateTime[:)].*\\.[0-9]{3,}$

%description
This module packages several type constraints (Moose::Util::TypeConstraints)
and coercions designed to work with the DateTime suite of objects.


%prep
%setup -q -n MooseX-Types-DateTime-%{version}

perl -MConfig -i -pe 's{^#!.*perl}{$Config{startperl}}' t/*.t
find . -type f -exec chmod -c -x {} +

%build
PERL_MM_FALLBACK_SILENCE_WARNING=1 perl Makefile.PL \
    INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
unset AUTHOR_TESTING
make test

%files
%doc Changes t/
%license LICENCE
%{perl_vendorlib}/MooseX*
%{_mandir}/man3/MooseX*.3*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-1
- initial build
